from hashlib import sha1


def check_email(email):
    """
    Confirms that string ends in @middlebury.edu
    Args:
        email(string): A string - should be an email address

    Returns:
        bool: whether or not the string is a middlebury email
    """
    if email.endswith("@middlebury.edu"):
        return True
    else:
        print("Make sure the email ends with @middlebury.edu!")
        return False


def main():
    """
    Requests email address from user, then uses web server to determine the secret message
    from the user's email address
    """
    email = input("What is your middlebury email address? ")
    while not check_email(email):
        email = input("What is your middlebury email address? ")

    secret_code = sha1(email.encode("utf-8")).hexdigest()
    print(f"Your secret code is {secret_code}\n\nYou can now continue to part 3!")


if __name__ == "__main__":
    main()
